%define shortname asyncns
%define name libasyncns
%define version 0.8
%define release %mkrel 3

%define major 0
%define libname %mklibname %shortname %major
%define libname_devel %mklibname -d %shortname

Summary: A library for executing name service queries asynchronously
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://0pointer.de/lennart/projects/libasyncns/%{name}-%{version}.tar.gz
Patch0: libasyncns-0.8-libdir.patch
License: LGPL
Group: System/Libraries
URL: http://0pointer.de/lennart/projects/libasyncns/
BuildRequires : doxygen
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A small and lightweight library that implements easy to use asynchronous
wrappers around the libc NSS functions getaddrinfo(), res_query() and related.


#----------------------------------------------------------------------------

%package -n %{libname}
Summary: A library for executing name service queries asynchronously
Group: System/Libraries
Provides: %name = %{version}-%{release}

%description -n %{libname}
A small and lightweight library that implements easy to use asynchronous
wrappers around the libc NSS functions getaddrinfo(), res_query() and related.


#----------------------------------------------------------------------------

%package -n %{libname_devel}
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}


%description -n %{libname_devel}
Development files for %{name}

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std
find %{buildroot} \( -name *.a -o -name *.la \) -exec rm -f {} \;

%clean
rm -rf %{buildroot}

#----------------------------------------------------------------------------

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}.so.%{major}*

%files -n %{libname_devel}
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%{_includedir}/%{shortname}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc





%changelog
* Sun Mar 27 2011 colin <colin> 0.8-3.mga1
+ Revision: 77953
- Fix libdir in pkg-config file.

* Thu Jan 13 2011 dmorgan <dmorgan> 0.8-2.mga1
+ Revision: 13076
- imported package libasyncns


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8-2mdv2011.0
+ Revision: 602522
- rebuild

* Thu Nov 05 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8-1mdv2010.1
+ Revision: 460435
- New version: 0.8

* Mon Jul 27 2009 Emmanuel Andry <eandry@mandriva.org> 0.7-1mdv2010.0
+ Revision: 400829
- New version 0.7
- update files list

* Sat Oct 25 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6-1mdv2009.1
+ Revision: 297202
- New version: 0.6

* Mon Jul 28 2008 Colin Guthrie <cguthrie@mandriva.org> 0.4-1mdv2009.0
+ Revision: 251242
- Fix group
- Minor file list change to inlcude library major number in filespec
- import libasyncns


